API Reference
Delivery Providers
Connect external delivery providers.
5 endpoints· Auth: API Key
get
/api/v1/store/integrations/delivery-providers API KeyGet delivery-providers
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/delivery-providers" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/delivery-providers/links API KeyGet links
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/delivery-providers/links" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/delivery-providers/links API KeyCreate links
Request body
application/json
{
"providerId": "00000000-0000-0000-0000-000000000000",
"username": "string",
"password": "string"
}| providerId string (uuid) | — |
| username string | — |
| password string | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/delivery-providers/links" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"providerId": "00000000-0000-0000-0000-000000000000",
"username": "string",
"password": "string"
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/delivery-providers/links/{linkId} API KeyDelete linkId
Path parameters
| linkIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/delivery-providers/links/{linkId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/delivery-providers/orders/{orderId}/sync-status API KeyCreate sync-status
Path parameters
| orderIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/delivery-providers/orders/{orderId}/sync-status" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu